* ========================================================================
* Define a ENSO composite
* ========================================================================
 'reinit'
 'open 16yr_900.ctl'

* define climatology
ca(prec,jan82,mar98)

 'set t 1'
* warm events
 ave1(prec)
 'define precwarm=sum'

* cold events
 ave2(prec)
 'define preccold=sum'

* plot
 'enable print meta'
 'set font 1'

 'set lat -45 45'

 'set gxout shaded'
 'set black -0.2 0.2'
 'd (precwarm - preccold)/28'
 'run cbar'
 'set gxout contour'
 'set cint 1'
 'set ccolor rainbow'
 'd (precwarm - preccold)/28'
 'draw title WARM-COLD JJA:  QTCM Precip  mm/day  \ (87 92 94) - (84 89 96)'
 'print'

 'disable print meta'
 '!gxps -i meta -o ensocomp_jja.ps'



function ave1(var)
*--- define  an averaging for specified times
 'define sum=0'
 
*+++ Remember modify this if you add/delete 
 nmon=9
*+++
 s(var,jun87)
 s(var,jul87)
 s(var,aug87)
 s(var,jun92)
 s(var,jul92)
 s(var,aug92)
 s(var,jun94)
 s(var,jul94)
 s(var,aug94)


 'define sum=sum/'nmon
return
*=============

function ave2(var)
*--- define an averaging for specified times
 'define sum=0'
 
*+++ Remember modify this if you add/delete 
 nmon=9
*+++
 s(var,jun84)
 s(var,jul84)
 s(var,aug84)
 s(var,jun89)
 s(var,jul89)
 s(var,aug89)
 s(var,jun96)
 s(var,jul96)
 s(var,aug96)


 'define sum=sum/'nmon
return
*=============

function s(var,time)
*--- sum up
 'define sum=sum+'var'(time='time')'
return
*=============


** define clim, anom.
function ca(var,t1,t2)
 'set time 't1' 't2
* climatology
 'define 'var'c=ave('var',t+0,time='t2',1yr)'
 'modify 'var'c seasonal'
*anom
 'define 'var'a='var'-'var'c'

 prompt 'mean, anom, are defined for  ' var

return

**********

