c  Code history:
c     Hui Su oct. 1998
c     Matthias Munnich may 1999 adjusted call to bndry1 to use bnddir
c
      Subroutine getbnd
c************
c  Get boundary data such as SST, albedo, surface fluxes for atmosphere model 
c
#include "hgrid.h"
#include "driver.h"
#include "qtcm.h"
c************************************************************

      call getSST(Ts0)           !assumed in Kelvin
 
      do j=1,NY
      do i=1,NX
        if(STYPE(i,j).eq.zero)
     &        Ts(i,j)=Ts0(i,j)         !update Ts over ocean
        if(landon.eq.0)
     &        Ts(i,j)=Ts0(i,j)         !give land a fake SST
      end do
      end do
 
c- get the climatological sfc albedo; if not called, will use albedo according
c    to surface type (see [bndinit])
c  Note: other prescribed clim. fields can be done similarly
      call bndry1('alb',bnddir(1:lnblnk(bnddir))//'/ALBD_Darnell',ALBDs)
      return
      end       

c****************************************************************************
