c Quick plot for time series
	parameter(nmax=1000000)
	real*8 z1,z2,z3,z4,z5
	real y1(nmax),x(nmax)
	real y2(nmax),y3(nmax),y4(nmax),y5(nmax)

c output time step of qtcm atmosphere, for scaling x axis into unit of day
	dt=1.     !1 day
	
        open(11,file='timeseries.out',form='formatted',status='old')
	do i=1,nmax
	    read(11,*,end=40)z1,z2,z3,z4,z5
	    x(i)=i*dt       !start from day1
	    y1(i)=z1
	    y2(i)=z2
	    y3(i)=z3
	    y4(i)=z4
	    y5(i)=z5
	    npts=npts+1
	end do

40	continue
	call OPNGKS

ccall AGSETI('X/LOG.',1.)

	call EZXY(x(1),y1(1),npts,'T at domain center  K$')
	call EZXY(x(1),y2(1),npts,'u at domain center  m/s $')
	call EZXY(x(1),y3(1),npts,'vort0 at domain center$')
	call EZXY(x(1),y4(1),npts,'Ts, at Amazon  K$')
	call EZXY(x(1),y5(1),npts,'Prec, at Amazon  W/m**2$')
ccall EZXY(x(1),y(1),npts,'$')
	
	call CLSGKS

	end

